Subject: [Fot] fuel cells

From: "Bill Tobin" <[email-masked]>
Date: Thu, 29 Nov 2012 00:29:08 -0500

Hi Gang,
All this talk of fuel cells reminds me of the time I was going through Tech.
The inspector asked what the object was that was nestled under the fuel cell
holddown straps.
I replied that it was an analog fuel level indicator system.
Inspector laughed.
Object is more commonly known as a wooded ruler.
A little humor never hurts!
Cheers, Bill
PS, I use an ATL 15 gallon cell. It's what came with the car. It fits in the
trunk nicely.
PPS, go see "Lincoln" Great movie.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]